# RPM specfile for battstat_applet module
# Generated Sat Apr 21 17:43:35 2001 GMT by Ximian build system
# $Id: bb_do,v 1.107 2001/04/21 04:27:12 frb Exp $
# from $Id: helix-build.conf,v 1.7 2001/04/20 23:23:18 dave Exp $

%define nam	battstat_applet
%define ver	2.0.9

Name:     	battstat_applet
Version: 	2.0.9
Release:	ximian.5
Vendor:		Ximian, Inc.
Distribution:	Ximian GNOME for Red Hat Linux 7.0 / i386
Copyright:	GPL
BuildRoot:	/var/tmp/%{nam}-%{ver}-root
Docdir:         /usr/share/doc
Source0:	battstat_applet-2.0.9.tar.gz
Patch0:		battstat-no-libapm.patch
Patch1:		battstat-sounds-make.patch
Patch2:		battstat-font-loading.patch
Summary:	Battery status utility
Group:		User Interface/Desktops
Requires:	gnome-libs >= 1.2.4
Requires:	gnome-core >= 1.2.4

%description
A laptop battery status monitor applet for GNOME.

%files
%defattr(-, root, root)
/usr/bin/*
/usr/share/applets/Monitors/*
/usr/share/gnome/help/*
/usr/share/locale/*/*/*
/usr/share/pixmaps/*
/etc/CORBA/servers/*
/etc/sound/events/*


# $RPM_COMMAND is an environment variable used by the Ximian build
# system to control the build process with finer granularity than RPM
# normally allows.  This specfile will function as expected by RPM if
# $RPM_COMMAND is unset.  If you are not the Ximian build system,
# feel free to ignore it.

%prep
case "${RPM_COMMAND:-all}" in
dist)
%setup  -q -D -n battstat_applet-2.0.9
    ;;
all)
%setup  -q -n battstat_applet-2.0.9
    ;;
esac
case "${RPM_COMMAND:-all}" in
dist|all)
%patch -p1 -P 0
%patch -p1 -P 1
%patch -p1 -P 2
    ;;
esac

%build
MAKE=${MAKE:-make}
RPM_COMMAND=${RPM_COMMAND:-all}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export MAKE RPM_COMMAND DESTDIR
case "$RPM_COMMAND" in
prepare|all)
    autoconf; automake; ./configure --prefix=/usr --sysconfdir=/etc --mandir=/usr/share/man --infodir=/usr/share/info --localstatedir=/var
    ;;
esac
case "$RPM_COMMAND" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
case "$RPM_COMMAND" in
build|all)
    ${MAKE}
    ;;
esac

%install
MAKE=${MAKE:-make}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
# export DESTDIR
case "${RPM_COMMAND:-all}" in
install|all)
    ${MAKE} install prefix=${DESTDIR}/usr sysconfdir=${DESTDIR}/etc mandir=${DESTDIR}/usr/share/man infodir=${DESTDIR}/usr/share/info localstatedir=${DESTDIR}/var
    ;;
esac

%clean
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export DESTDIR
case "${RPM_COMMAND:-all}" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
